Subject: Re: git-clone --how-much-disk-space-will-this-cost-me? [--depth n]

From: Jean-Luc Herren <[email-masked]>
Date: Tue, 16 Dec 2008 03:07:33 +0100

[email-masked] wrote:
> JH> So maybe what you really want is an ETA display during the cloning
> JH> process?  Sounds like a good idea to me.
> 
> ETA implies that git has an estimate of what is going to happen.

Aren't you implying this too from the beginning?  But reading
Jeff's reply, there seems to be a reason why there isn't an ETA
already.

However, since some repositories get cloned in the same way very
often, there could be some cache that keeps these size information
around for any subsequent identical clones.  The server could then
send a hint about the expected amount of data at the beginning.

jlh